Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class Contact

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.dispatch.common.bean.Contact

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

Direct Known Subclasses:
  `ContractContact`

    public class Contact
    extends Id

Контакт для отправки сообщений

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Contact()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object o)` |
  `int` | `getContactTypeId()` | Возвращает тип данного контакта
  `int` | `getContractId()` |
  `java.lang.String` | `getDefaultValue()` | Возвращает значение контакта по умолчанию
  `java.lang.String` | `getValue()` | Возвращает значение контакта
  `java.lang.String` | `getValueForSend()` | Возвращает значение контакта для отправки
  `java.lang.String` | `getValueForView()` | Возвращает значение контакта для отправки просмотра
  `int` | `hashCode()` |
  `void` | `setContactTypeId​(int contactTypeId)` | Устанавливает тип для данного контакта
  `void` | `setContractId​(int contractId)` |
  `void` | `setDefaultValue​(java.lang.String defaultValue)` | Устанавливает значение контакта по умолчанию
  `void` | `setValue​(java.lang.String value)` | Устанавливает значение контакта
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Contact

    public Contact()

- ## Method Details

  - ### setValue

    public void setValue​(java.lang.String value)
    Устанавливает значение контакта
    Parameters:
      `value` -

  - ### getValue

    public java.lang.String getValue()
    Возвращает значение контакта
    Returns:

  - ### getValueForSend

    public java.lang.String getValueForSend()
    Возвращает значение контакта для отправки
    Returns:

  - ### getValueForView

    public java.lang.String getValueForView()
    Возвращает значение контакта для отправки просмотра
    Returns:

  - ### setContactTypeId

    public void setContactTypeId​(int contactTypeId)
    Устанавливает тип для данного контакта
    Parameters:
      `contactTypeId` -

  - ### getContactTypeId

    public int getContactTypeId()
    Возвращает тип данного контакта
    Returns:

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getDefaultValue

    public java.lang.String getDefaultValue()
    Возвращает значение контакта по умолчанию
    Returns:

  - ### setDefaultValue

    public void setDefaultValue​(java.lang.String defaultValue)
    Устанавливает значение контакта по умолчанию
    Parameters:
      `defaultValue` -

  - ### equals

    public boolean equals​(java.lang.Object o)
    Overrides:
      `equals` in class `Id`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`